From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/jaxb-runtime/
Date: Sun, 24 Jul 2022 17:06:44 +0000 (UTC) [thread overview]
Message-ID: <1658682398.f80e0d32de7df4b5fca886c603dbc19588e3c1a5.flow@gentoo> (raw)
commit: f80e0d32de7df4b5fca886c603dbc19588e3c1a5
Author: Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Wed Jul 13 10:24:09 2022 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Sun Jul 24 17:06:38 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f80e0d32
dev-java/jaxb-runtime: raise dependency on jaxb-stax-ex
Bug: https://bugs.gentoo.org/860084
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>
dev-java/jaxb-runtime/jaxb-runtime-4.0.0-r1.ebuild | 108 +++++++++++++++++++++
1 file changed, 108 insertions(+)
diff --git a/dev-java/jaxb-runtime/jaxb-runtime-4.0.0-r1.ebuild b/dev-java/jaxb-runtime/jaxb-runtime-4.0.0-r1.ebuild
new file mode 100644
index 000000000000..586a6dc6e5e1
--- /dev/null
+++ b/dev-java/jaxb-runtime/jaxb-runtime-4.0.0-r1.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Skeleton command:
+# java-ebuilder --generate-ebuild --workdir . --pom runtime/impl/pom.xml --download-uri https://github.com/eclipse-ee4j/jaxb-ri/archive/4.0.0-RI.tar.gz --slot 4 --keywords "~amd64 ~arm ~arm64 ~ppc64 ~x86" --ebuild jaxb-runtime-4.0.0.ebuild
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="org.glassfish.jaxb:jaxb-runtime:4.0.0"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="JAXB (JSR 222) Reference Implementation"
+HOMEPAGE="https://eclipse-ee4j.github.io/jaxb-ri/"
+SRC_URI="https://github.com/eclipse-ee4j/jaxb-ri/archive/${PV}-RI.tar.gz -> jaxb-ri-${PV}.tar.gz"
+
+LICENSE="EPL-1.0"
+SLOT="4"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+DEPEND="
+ >=dev-java/fastinfoset-2.1.0-r1:0
+ dev-java/jaxb-api:4
+ >=dev-java/jaxb-stax-ex-2.1.0-r1:0
+ dev-java/istack-commons-runtime:0
+ >=virtual/jdk-11:*
+"
+
+# reason: '<>' with anonymous inner classes is not supported in -source 8
+# (use -source 9 or higher to enable '<>' with anonymous inner classes)
+RDEPEND=">=virtual/jre-11:*"
+
+DOCS=( ../{CONTRIBUTING,NOTICE,README}.md )
+
+S="${WORKDIR}/jaxb-ri-${PV}-RI/jaxb-ri"
+
+JAVA_CLASSPATH_EXTRA="fastinfoset,jaxb-stax-ex"
+JAVA_TEST_GENTOO_CLASSPATH="junit-4"
+
+src_compile() {
+ einfo "Compiling txw-runtime"
+ JAVA_SRC_DIR="txw/runtime/src/main/java"
+ JAVA_JAR_FILENAME="txw-runtime.jar"
+ java-pkg-simple_src_compile
+ JAVA_GENTOO_CLASSPATH_EXTRA+=":txw-runtime.jar"
+ rm -r target || die
+
+ einfo "Compiling core"
+ JAVA_SRC_DIR="core/src/main/java"
+ JAVA_RESOURCE_DIRS="core/src/main/resources"
+ JAVA_JAR_FILENAME="core.jar"
+ JAVA_CLASSPATH_EXTRA+=" istack-commons-runtime,jaxb-api-4"
+ java-pkg-simple_src_compile
+ JAVA_GENTOO_CLASSPATH_EXTRA+=":core.jar"
+ rm -r target || die
+
+ einfo "Compiling runtime"
+ JAVA_SRC_DIR="runtime/impl/src/main/java"
+ JAVA_RESOURCE_DIRS="runtime/impl/src/main/resources"
+ JAVA_JAR_FILENAME="runtime.jar"
+ java-pkg-simple_src_compile
+ JAVA_GENTOO_CLASSPATH_EXTRA+=":runtime.jar"
+ rm -r target || die
+
+ if use doc; then
+ einfo "Compiling javadocs"
+ rm {core,runtime/impl}/src/main/java/module-info.java || die
+ JAVA_SRC_DIR=(
+ "txw/runtime/src/main/java"
+ "core/src/main/java"
+ "runtime/impl/src/main/java"
+ )
+ JAVA_JAR_FILENAME="ignoreme.jar"
+ java-pkg-simple_src_compile
+ fi
+}
+
+src_test() {
+ einfo "Testing core"
+ JAVA_TEST_SRC_DIR="core/src/test/java"
+ JAVA_TEST_RESOURCE_DIRS="core/src/test/resources"
+ java-pkg-simple_src_test
+
+ einfo "Testing runtime"
+ JAVA_TEST_SRC_DIR="runtime/impl/src/test/java"
+ JAVA_TEST_RESOURCE_DIRS=()
+ java-pkg-simple_src_test
+}
+
+src_install() {
+ einstalldocs
+
+ java-pkg_dojar "txw-runtime.jar"
+ java-pkg_dojar "core.jar"
+ java-pkg_dojar "runtime.jar"
+
+ if use doc; then
+ java-pkg_dojavadoc target/api
+ fi
+
+ if use source; then
+ java-pkg_dosrc "txw/runtime/src/main/java/*"
+ java-pkg_dosrc "core/src/main/java/*"
+ java-pkg_dosrc "runtime/impl/src/main/java/*"
+ fi
+}
next reply other threads:[~2022-07-24 17:06 UTC|newest]
Thread overview: 14+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-24 17:06 Florian Schmaus [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-04-21 8:20 [gentoo-commits] repo/gentoo:master commit in: dev-java/jaxb-runtime/ Sam James
2023-04-20 12:59 Sam James
2023-04-20 12:59 Sam James
2023-04-20 12:59 Sam James
2023-03-31 17:23 Arthur Zamarin
2023-03-24 11:18 Arthur Zamarin
2023-03-21 19:20 Sam James
2023-03-21 19:20 Sam James
2023-03-21 6:34 Miroslav Šulc
2022-08-23 18:26 Sam James
2022-08-23 18:26 Sam James
2022-07-24 17:06 Florian Schmaus
2022-06-20 7:41 Florian Schmaus
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1658682398.f80e0d32de7df4b5fca886c603dbc19588e3c1a5.flow@gentoo \
--to=flow@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox